# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Defines

- a
- c
- d
- e
- f
- h
- i
- l
- m
- n
- q
- r
- s
- t
- v

### - a -

- ASPECT_RATIO_10_11 : common_types.h
- ASPECT_RATIO_12_11 : common_types.h
- ASPECT_RATIO_1_1 : common_types.h
- ASPECT_RATIO_CUSTOM : common_types.h
- ASPECT_RATIO_UNDEFINED : common_types.h

### - c -

- CM_DCINEMA : common_types.h
- CM_HDTV_COMP_INTERNET : common_types.h
- CM_SDTV : common_types.h
- CM_UNDEF : common_types.h
- CP_CIE_XYZ : common_types.h
- CP_EBU_3213 : common_types.h
- CP_ITU_709 : common_types.h
- CP_SMPTE_C : common_types.h
- CP_UNDEF : common_types.h

### - d -

- DAUB9_7 : common_types.h
- DD13_5 : common_types.h
- DD9_3 : common_types.h

### - e -

- ENC_STATE_AVAIL : dirac_encoder.h
- ENC_STATE_BUFFER : dirac_encoder.h
- ENC_STATE_INVALID : dirac_encoder.h

### - f -

- FIDELITY : common_types.h
- filterNK : common_types.h
- format420 : common_types.h
- format422 : common_types.h
- format444 : common_types.h
- formatNK : common_types.h
- FRAMERATE_23p97_FPS : common_types.h
- FRAMERATE_24_FPS : common_types.h
- FRAMERATE_25_FPS : common_types.h
- FRAMERATE_29p97_FPS : common_types.h
- FRAMERATE_30_FPS : common_types.h
- FRAMERATE_50_FPS : common_types.h
- FRAMERATE_59p94_FPS : common_types.h
- FRAMERATE_60_FPS : common_types.h
- FRAMERATE_CUSTOM : common_types.h
- FRAMERATE_UNDEFINED : common_types.h

### - h -

- HAAR0 : common_types.h
- HAAR1 : common_types.h
- HAAR2 : common_types.h

### - i -

- INTER_FRAME : common_types.h
- INTRA_FRAME : common_types.h
- IT_INTERLACED_BFF : common_types.h
- IT_INTERLACED_TFF : common_types.h
- IT_PROGRESSIVE : common_types.h
- IT_UNDEF : common_types.h

### - l -

- LEGALL5_3 : common_types.h

### - m -

- MV_PRECISION_EIGHTH_PIXEL : common_types.h
- MV_PRECISION_HALF_PIXEL : common_types.h
- MV_PRECISION_PIXEL : common_types.h
- MV_PRECISION_QUARTER_PIXEL : common_types.h
- MV_PRECISION_UNDEFINED : common_types.h

### - n -

- NON_REFERENCE_FRAME : common_types.h

### - q -

- QUANT_MULTIPLE : common_types.h
- QUANT_SINGLE : common_types.h
- QUANT_UNDEF : common_types.h

### - r -

- REFERENCE_FRAME : common_types.h

### - s -

- SIGNAL_RANGE_10BIT_VIDEO : common_types.h
- SIGNAL_RANGE_8BIT_FULL : common_types.h
- SIGNAL_RANGE_8BIT_VIDEO : common_types.h
- SIGNAL_RANGE_CUSTOM : common_types.h
- SIGNAL_RANGE_UNDEFINED : common_types.h
- STATE_BUFFER : decoder_types.h
- STATE_INVALID : decoder_types.h
- STATE_PICTURE_AVAIL : decoder_types.h
- STATE_PICTURE_DECODE : decoder_types.h
- STATE_PICTURE_START : decoder_types.h
- STATE_SEQUENCE : decoder_types.h
- STATE_SEQUENCE_END : decoder_types.h

### - t -

- TF_DCINEMA : common_types.h
- TF_EXT_GAMUT : common_types.h
- TF_LINEAR : common_types.h
- TF_TV : common_types.h
- TF_UNDEF : common_types.h

### - v -

- VIDEO_FORMAT_4CIF : common_types.h
- VIDEO_FORMAT_4SIF : common_types.h
- VIDEO_FORMAT_CIF : common_types.h
- VIDEO_FORMAT_CUSTOM : common_types.h
- VIDEO_FORMAT_DIGI_CINEMA_2K : common_types.h
- VIDEO_FORMAT_DIGI_CINEMA_4K : common_types.h
- VIDEO_FORMAT_HD_1080 : common_types.h
- VIDEO_FORMAT_HD_720 : common_types.h
- VIDEO_FORMAT_QCIF : common_types.h
- VIDEO_FORMAT_QSIF : common_types.h
- VIDEO_FORMAT_SD_525_DIGITAL : common_types.h
- VIDEO_FORMAT_SD_625_DIGITAL : common_types.h
- VIDEO_FORMAT_SIF : common_types.h
- VIDEO_FORMAT_UNDEFINED : common_types.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.